# tap-growl

Growl notifications for any test framework outputting [TAP](http://testanything.org/).

## Usage

Just pipe your test output to tap-growl. (Replace lab with your test framework)

```lab -r tap | tap-growl```

It can also watch continuous test output.

```nodemon lab -r tap | tap-growl```

## Installation

```npm install -g tap-growl```

See [node-growl](https://github.com/visionmedia/node-growl) on how to setup Growl notifications for Mac/Linux/Windows.

## Why?

I just love how [mocha](http://visionmedia.github.io/mocha/) does Growl notifications. Running nodemon and notifications allows for [instant test feedback](http://csaba.palfi.me/testing-node-apps-like-you-mean-it/#nodemon-growl) without frequently tabbing back to your terminal running the tests. I wanted to add the same to other test frameworks.
